Skip to main content
POST
Create a Donor Contact Method
Send the type, the value, the countryCode for a phone number, and isPrimary and isOptedIn as needed. Returns the created contact method with its new id.
Create a Donor Email Address and Create a Donor Phone Number do the same thing for a single type.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the donor.

Body

The donor contact method request.

Represents a contact method request.

type
enum<integer>
required

The type of contact method, such as Email, Phone, or Mobile.

Available options:
0,
10,
11,
12,
20,
21,
22,
99
isPrimary
boolean
required

Whether this becomes the donor's primary contact method of its type.

value
string | null

The email address or phone number itself.

Maximum string length: 200
isOptedIn
boolean

Whether the donor has opted in to being contacted at this value.

countryCode
string | null

The country calling code of a phone number, such as 1 for the United States.

Response

OK

Represents a donor contact method model.

id
integer<int64>

The unique identifier of the contact method.

donorId
integer<int64>

The unique identifier of the donor.

type
enum<integer>

The type of contact method, such as Email, Phone, or Mobile.

Available options:
0,
10,
11,
12,
20,
21,
22,
99
typeDisplay
string | null

The display name of the contact method type.

value
string | null

The email address or phone number itself.

secondaryValue
string | null

The extension or other secondary part of the value.

isPrimary
boolean

Whether this is the donor's primary contact method of its type.

isOptedIn
boolean

Whether the donor has opted in to being contacted at this value.

isValid
boolean

Whether the contact method is valid.

isEmail
boolean

Whether the contact method is an email address.

isPhone
boolean

Whether the contact method is a phone number.

isBounced
boolean

Whether email sent to this address has bounced.

countryCode
string | null

The country calling code of the phone number, such as 1 for the United States.

Last modified on July 28, 2026